Subject: Re: bug#76120: [PATCH] Expose the native sharing dialog (macOS)

From: Stefan Kangas <[email-masked]>
Date: Tue, 11 Feb 2025 10:34:26 -0800

Alvaro Ramirez <[email-masked]> writes:

> The sharing submenu would have to be the native dialog itself
> unless we use a deprecated macOS API to populate the context menu
> ourselves. If possible, I'd like to avoid using the deprecated
> API. See the attached sharing.png screenshot for what the
> experience would look like in practice.
>
> If this approach is acceptable, I'll go ahead and rework the patch
> to achieve this experience. Lemme know.

Your approach sounds good, and I agree that we should better avoid using
the deprecated API.